summaryrefslogtreecommitdiff
path: root/src/chroot-tools
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-09-22 18:13:15 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-09-22 18:13:15 -0400
commit04ba2e4b62c31e867cbc873d636e3184a009cac6 (patch)
treedab144cd1312f7be0e457e436bd57e82d1899db1 /src/chroot-tools
parent842eab9c67f0b6a45b5247da9a4cdb750431013d (diff)
parent610699384997e346f7826fe912dcd511ecc4cd8c (diff)
Merge commit '610699'
Conflicts: src/abslibre-tools/createworkdir
Diffstat (limited to 'src/chroot-tools')
-rwxr-xr-xsrc/chroot-tools/chcleanup3
-rwxr-xr-xsrc/chroot-tools/distcc-tool2
-rw-r--r--src/chroot-tools/hooks-chcleanup.sh3
-rw-r--r--src/chroot-tools/hooks-check.sh3
-rw-r--r--src/chroot-tools/hooks-distcc.sh3
-rwxr-xr-xsrc/chroot-tools/librechroot3
-rwxr-xr-xsrc/chroot-tools/libremakepkg3
7 files changed, 13 insertions, 7 deletions
diff --git a/src/chroot-tools/chcleanup b/src/chroot-tools/chcleanup
index 0461de2..a43065b 100755
--- a/src/chroot-tools/chcleanup
+++ b/src/chroot-tools/chcleanup
@@ -1,4 +1,5 @@
-#!/bin/bash -eE
+#!/usr/bin/env bash
+set -eE
# (c) Nicolás Reynolds <fauno@parabola.nu>
# Released under GPLv3
#
diff --git a/src/chroot-tools/distcc-tool b/src/chroot-tools/distcc-tool
index 67bcd2d..7633029 100755
--- a/src/chroot-tools/distcc-tool
+++ b/src/chroot-tools/distcc-tool
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
# -*- tab-width: 4; sh-basic-offset: 4 -*-
# distcc-tool
diff --git a/src/chroot-tools/hooks-chcleanup.sh b/src/chroot-tools/hooks-chcleanup.sh
index cd6179b..198bc36 100644
--- a/src/chroot-tools/hooks-chcleanup.sh
+++ b/src/chroot-tools/hooks-chcleanup.sh
@@ -1,4 +1,5 @@
-#!/bin/bash -euE
+#!/usr/bin/env bash
+set -euE
hooks_pre_build+=("clean_chroot")
diff --git a/src/chroot-tools/hooks-check.sh b/src/chroot-tools/hooks-check.sh
index dee7c04..e8120b8 100644
--- a/src/chroot-tools/hooks-check.sh
+++ b/src/chroot-tools/hooks-check.sh
@@ -1,4 +1,5 @@
-#!/bin/bash -euE
+#!/usr/bin/env bash
+set -euE
hook_check_pkgbuild+=("check_pkgbuild_dependencies")
check_pkgbuild_dependencies() {
diff --git a/src/chroot-tools/hooks-distcc.sh b/src/chroot-tools/hooks-distcc.sh
index bbbc3e9..9e42242 100644
--- a/src/chroot-tools/hooks-distcc.sh
+++ b/src/chroot-tools/hooks-distcc.sh
@@ -1,4 +1,5 @@
-#!/bin/bash -euE
+#!/usr/bin/env bash
+set -euE
hook_pre_build+=("distcc_start")
hook_post_build+=("distcc_stop")
diff --git a/src/chroot-tools/librechroot b/src/chroot-tools/librechroot
index 889ccc9..cb7fe1b 100755
--- a/src/chroot-tools/librechroot
+++ b/src/chroot-tools/librechroot
@@ -1,4 +1,5 @@
-#!/bin/bash -euE
+#!/usr/bin/env bash
+set -euE
# librechroot
# Copyright 2010 Nicolás Reynolds
diff --git a/src/chroot-tools/libremakepkg b/src/chroot-tools/libremakepkg
index 9b3ec9a..df4cd07 100755
--- a/src/chroot-tools/libremakepkg
+++ b/src/chroot-tools/libremakepkg
@@ -1,4 +1,5 @@
-#!/bin/bash -euE
+#!/usr/bin/env bash
+set -euE
# libremakepkg
# Copyright 2010-2011 Nicolás Reynolds